using FullSerializer;

namespace DataImport
{
    public static class JsonImport
    {
        public static T Import<T>(string json) where T : new()
        {
            var output = new T();
            var fs = new fsSerializer();

            var parsed = fsJsonParser.Parse(json);
            fs.TryDeserialize(parsed, ref output);

            return output;
        }
    }
}
